import { useLocalStorageState } from 'ahooks'

export interface EditorConfig {
  introChecked?: boolean[]
  conclusionChecked?: boolean[]
  name?: string
  description?: string
  trainee?: string
  exerciseDuration?: number
  showExerciseTime?: boolean
  emailBetweenTeams?: boolean
  customEmailSuffix?: string
  infoChannelName?: string
  toolChannelName?: string
  emailChannelName?: string
}

const useEditorStorage = () =>
  useLocalStorageState<EditorConfig>('editor-config', {
    defaultValue: {},
    serializer: value => JSON.stringify(value),
    deserializer: localValue => JSON.parse(localValue) as EditorConfig,
  })

export default useEditorStorage
