import type { InjectInfo, LearningActivityInfo } from './indexeddb/types'
import { InjectType, LearningActivityType } from './indexeddb/types'

export const INTRO_CONDITIONS = [
  { name: 'Purpose', description: 'What do you want to achieve' },
  { name: 'Learning objectives', description: 'Description' },
  { name: 'Injects', description: 'Description' },
]

export const CONCLUSION_CONDITIONS = [
  { name: 'Check 1', description: 'Description' },
  { name: 'Check 2', description: 'Description' },
  { name: 'Check 3', description: 'Description' },
]

export const LEARNING_ACTIVITY_TYPES = Object.values(LearningActivityType)

export const INJECT_TYPES = Object.values(InjectType)

export const getLearningActivityIcon = (activity: LearningActivityInfo) => {
  switch (activity.type) {
    case LearningActivityType.EMAIL:
      return 'envelope'
    case LearningActivityType.TOOL:
      return 'wrench'
    default:
      return 'tick-circle'
  }
}

export const getInjectIcon = (inject: InjectInfo) =>
  inject.type === InjectType.EMAIL ? 'envelope' : 'clipboard'
