import EditorPage from '@/editor/EditorPage'
import IntroductionForm from '@/editor/IntroductionForm'
import { memo, useState } from 'react'

const IntroductionPage = () => {
  const [nextDisabled, setNextDisabled] = useState(true)

  return (
    <EditorPage
      title='Before you start'
      description='make sure that you:'
      prevPath='/editor'
      nextPath='/editor/create/exercise-information'
      nextDisabled={nextDisabled}
    >
      <IntroductionForm
        onInputChange={(conditions: boolean[]) =>
          setNextDisabled(!conditions.every(Boolean))
        }
      />
    </EditorPage>
  )
}

export default memo(IntroductionPage)
