import { makeVar, useReactiveVar } from '@inject/graphql/client/reactive'

const key = 'host'
const initialSettings: string | null = sessionStorage.getItem(key)

export const host = makeVar(initialSettings)
export const useHost = () => useReactiveVar(host)

function change(value: typeof initialSettings) {
  if (value) sessionStorage.setItem(key, value)
  else sessionStorage.removeItem(key)
}

host.onNextChange(function onNext() {
  change(host())
  host.onNextChange(onNext)
})
