/* eslint-disable */
//@ts-nocheck
import type * as _Types from '../types';

import type { DocumentNode } from 'graphql';
import * as Apollo from '@apollo/client';
const defaultOptions = {} as const;
export type GetThreadTemplatesVariables = _Types.Exact<{
  threadId: _Types.Scalars['ID']['input'];
}>;


export type GetThreadTemplates = { threadTemplates: Array<{ id: string, sender: string | null, context: string, content: { id: string, raw: string, rendered: string, fileInfo: { id: any, fileName: string } | null }, control: { id: string, milestoneCondition: string, activateMilestone: string, deactivateMilestone: string, roles: string } } | null> | null };


export const GetThreadTemplatesDocument = /*#__PURE__*/ {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetThreadTemplates"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"threadId"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"ID"}}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"threadTemplates"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"threadId"},"value":{"kind":"Variable","name":{"kind":"Name","value":"threadId"}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"EmailTemplate"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"EmailTemplate"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmailTemplateType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"sender"}},{"kind":"Field","name":{"kind":"Name","value":"context"}},{"kind":"Field","name":{"kind":"Name","value":"content"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Content"}}]}},{"kind":"Field","name":{"kind":"Name","value":"control"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Control"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Content"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContentType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"raw"}},{"kind":"Field","name":{"kind":"Name","value":"rendered"}},{"kind":"Field","name":{"kind":"Name","value":"fileInfo"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FileInfo"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FileInfo"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FileInfoType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"fileName"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Control"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ControlType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"milestoneCondition"}},{"kind":"Field","name":{"kind":"Name","value":"activateMilestone"}},{"kind":"Field","name":{"kind":"Name","value":"deactivateMilestone"}},{"kind":"Field","name":{"kind":"Name","value":"roles"}}]}}]} as unknown as DocumentNode;

/**
 * __useGetThreadTemplates__
 *
 * To run a query within a React component, call `useGetThreadTemplates` and pass it any options that fit your needs.
 * When your component renders, `useGetThreadTemplates` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetThreadTemplates({
 *   variables: {
 *      threadId: // value for 'threadId'
 *   },
 * });
 */
export function useGetThreadTemplates(baseOptions: Apollo.QueryHookOptions<GetThreadTemplates, GetThreadTemplatesVariables> & ({ variables: GetThreadTemplatesVariables; skip?: boolean; } | { skip: boolean; }) ) {
        const options = {...defaultOptions, ...baseOptions}
        return Apollo.useQuery<GetThreadTemplates, GetThreadTemplatesVariables>(GetThreadTemplatesDocument, options);
      }
export function useGetThreadTemplatesLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<GetThreadTemplates, GetThreadTemplatesVariables>) {
          const options = {...defaultOptions, ...baseOptions}
          return Apollo.useLazyQuery<GetThreadTemplates, GetThreadTemplatesVariables>(GetThreadTemplatesDocument, options);
        }
export function useGetThreadTemplatesSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<GetThreadTemplates, GetThreadTemplatesVariables>) {
          const options = {...defaultOptions, ...baseOptions}
          return Apollo.useSuspenseQuery<GetThreadTemplates, GetThreadTemplatesVariables>(GetThreadTemplatesDocument, options);
        }
export type GetThreadTemplatesHookResult = ReturnType<typeof useGetThreadTemplates>;
export type GetThreadTemplatesLazyQueryHookResult = ReturnType<typeof useGetThreadTemplatesLazyQuery>;
export type GetThreadTemplatesSuspenseQueryHookResult = ReturnType<typeof useGetThreadTemplatesSuspenseQuery>;
export type GetThreadTemplatesQueryResult = Apollo.QueryResult<GetThreadTemplates, GetThreadTemplatesVariables>;