import { Button, ButtonGroup } from '@blueprintjs/core'
import type { FC } from 'react'
import { useNotifyContext } from '../contexts/NotifyContext'
import type { NotificationProps } from '../typing'
import NotificationLabel from './NotificationLabel'

const Notifications: FC<NotificationProps> = props => {
  const { timestamp } = props
  const { removeNotify } = useNotifyContext()

  return (
    <div
      style={{
        marginBottom: '0.25rem',
        marginRight: '0.25rem',
      }}
    >
      <ButtonGroup fill>
        <NotificationLabel {...props} />
        <Button icon='cross' onClick={() => removeNotify(timestamp)} />
      </ButtonGroup>
    </div>
  )
}

export default Notifications
